Skip to main content
POST
/
api
/
presentations
/
{presentationId}
/
appointment
Book an appointment
curl --request POST \
  --url https://app.demand-iq.com/api/presentations/{presentationId}/appointment \
  --header 'Content-Type: application/json' \
  --header 'x-presentation-token: <x-presentation-token>' \
  --data '
{
  "startTime": "2023-11-07T05:31:56Z",
  "endTime": "2023-11-07T05:31:56Z",
  "attendeeTZ": "America/New_York",
  "email": "jsmith@example.com",
  "phone": "<string>"
}
'
{
  "success": true,
  "startTime": "2023-11-07T05:31:56Z",
  "endTime": "2023-11-07T05:31:56Z"
}

Headers

x-presentation-token
string
required

HMAC presentation token for viewer authentication

Path Parameters

presentationId
string<uuid>
required

Body

application/json
startTime
string<date-time>
required

Appointment start time (ISO 8601)

endTime
string<date-time>
required

Appointment end time (ISO 8601)

attendeeTZ
string
required

Attendee timezone identifier

Example:

"America/New_York"

email
string<email>

Prospect email (optional, synced to CRM)

phone
string

Prospect phone number (optional, synced to CRM)

Response

Appointment booked

success
boolean
startTime
string<date-time>
endTime
string<date-time>